#ifndef G4MaleBuilder_h
#define G4MaleBuilder_h 1

#include "G4PhantomBuilder.h"

class G4PhantomBuilder;
class G4MaleBuilder : public G4PhantomBuilder {
public:
    G4MaleBuilder();
    ~G4MaleBuilder();

    void BuildMaleGenitalia(const G4String& colourName, G4bool solidVis, G4bool sensitivity);
    void BuildLeftTeste(const G4String& colourName, G4bool solidVis, G4bool sensitivity);
    void BuildRightTeste(const G4String& colourName, G4bool solidVis, G4bool sensitivity);
    // void SetModel(G4String);
};
#endif
